
UseJPEGImageDecoder()
UsePNGImageDecoder()
UseTGAImageDecoder()

Structure RAWHEADER
	ID.l
	Width.l
	Height.l
	DataPos.l
EndStructure


Procedure.l RGBA(Color.l)
	ProcedureReturn Red(Color) << 24 | Green(Color) << 16 | Blue(Color) << 8 | ((Color >> 24) & $FF)
EndProcedure


If CountProgramParameters()
	File.s = ProgramParameter()
	
	If LoadImage(0, File)
		If CreateFile(1, File + ".raw")
			Img.RAWHEADER
			With Img
				\ID = 'IRAW'
				\Width = ImageWidth(0)
				\Height = ImageHeight(0)
				\DataPos = SizeOf(RAWHEADER)
			EndWith
			WriteData(1, @Img, SizeOf(RAWHEADER))
			
			FileSeek(1, Img\DataPos)
			StartDrawing(ImageOutput(0))
				For y = ImageHeight(0) - 1 To 0 Step -1
					For x = 0 To ImageWidth(0) - 1
						Color = Point(x, y)
; 						WriteLong(1, (Red(Color) << 24) | (Green(Color) << 16) | (Blue(Color) << 8) | ((Color >> 24) & $FF))
						; Endian problem -> reverse all!!
						WriteLong(1, (Red(Color)) | (Green(Color) << 8) | (Blue(Color) << 16) | (((Color >> 24) & $FF) << 24))
					Next
				Next
			StopDrawing()
			
			CloseFile(1)
		EndIf
		
		FreeImage(0)
	EndIf
EndIf






; IDE Options = PureBasic v4.00 - Beta 4 (Windows - x86)
; CursorPosition = 16
; FirstLine = 16
; Folding = -
; EnableXP
; Executable = Img2RAW.exe